0001: mod.rds.cmrds has an undefined dependency: lib.ClientLibRDS

  • So, I just updated my PBE and suddenly

    "0001: mod.rds.cmrds has an undefined dependency: lib.ClientLibRDS" pops up. Please help me ><
  • Please repair your installation.

    If that does not work, please completely uninstall and reinstall League.

    Sorry about the inconvenience!
  • Can you guys reply here with your RADS logs? http://na.leagueoflegends.com/board/....php?t=3296174
  • Hey everyone,

    I've posted a sticky regarding this issue in the Help & Support Forum here: http://na.leagueoflegends.com/board/....php?t=3274503

    Although it was originally written for the live game client, it should be applicable to the PBE client as well. Before you do anything, please be sure to visit vLemon's thread and provide your logs here: http://na.leagueoflegends.com/board/....php?t=3296174

    [Windows OS]
    Please follow the steps below to resolve this issue:

    • Open Windows Explorer or Go to My Computer.
    • Go to C:\Riot Games\LOLPBE\RADS\projects\lol_air_client\releases \[latest version]\deploy\mod (if you installed the PBE outside of the default location, this will be located elsewhere)
    • Delete the rds folder.
    • Launch League of Legends.
    PBErdsFile.jpg

    [Mac OSX]
    For our Mac players, please try the following:

    • Navigate to Go.
    • Click on Applications.
    • Control + Click (or "Right-click") League of Legends PBE.
    • Click Show Package Contents.
    • Expand Contents.
    • Expand LOL.
    • Navigate to ...\RADS\projects\lol_air_client\releases\[latest version]\deploy\bin\mod
    • Delete the rds folder.
    • Launch League of Legends.

    Note: This only applies to this specific PvP.net FATAL ERROR 0001 (other FATAL ERRORs may not be fixed when following the above steps)
    Also, [latest version] refers to the folder titled 0.0.0.69, 0.0.1.37, 0.0.1.38, 0.0.1.41 or higher.